### Virtual Method

# Gio File resolve_relative_path

#### Declaration

    GFile*
    resolve_relative_path (
      GFile* file,
      const char* relative_path
    )

#### Description

Resolves a relative path for `file` to an absolute path.

This call does no blocking I/O.

If the `relative_path` is an absolute path name, the resolution is done absolutely (without taking `file` path as base).

#### Parameters

`relative_path`

  Type: `const char*`

  A given relative path string.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

#### Return value

Type: `GFile`

A `GFile` for the resolved path.

The caller of the function takes ownership of the data, and is responsible for freeing it.